﻿using System.ComponentModel;

namespace Hotline.Share.Enums.CallCenter;

/// <summary>
/// 动作状态
/// </summary>
public enum EOperationStatus
{
    /// <summary>
    /// 签入
    /// </summary>
    [Description("签入")]
    CheckIn = 100,

    /// <summary>
    /// 示忙
    /// </summary>
    [Description("示忙")]
    ShowBusy = 202,

    /// <summary>
    /// 小休
    /// </summary>
    [Description("小休")]
    ShortBreak = 201
}